PHP Manual
Prev |  | Next

# crack_check

(PHP 4 >= 4.0.5, PECL)

crack_check -- Performs an obscure check with the given password

## Description

bool crack_check ( resource dictionary, string password )
bool crack_check ( string password )

Performs an obscure check with the given password on the specified dictionary.

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## Parameters

dictionary

  The crack lib dictionary. If not specified, the last opened dictionary is used.

password

  The tested password.

## Return Values

Returns `TRUE` if password is strong, or `FALSE` otherwise.

Prev | Home | Next
Crack Functions | Up | crack_closedict